Bug 1684146 - Ability to start ceph daemons with numactl
Summary: Ability to start ceph daemons with numactl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 4.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z2
: 3.2
Assignee: Guillaume Abrioux
QA Contact: Vasishta
URL:
Whiteboard:
Depends On:
Blocks: 1594251 1629656
TreeView+ depends on / blocked
 
Reported: 2019-02-28 14:51 UTC by John Fulton
Modified: 2019-10-24 12:01 UTC (History)
12 users (show)

Fixed In Version: RHEL: ceph-ansible-3.2.9-1.el7cp Ubuntu: ceph-ansible_3.2.9-2redhat1
Doc Type: Enhancement
Doc Text:
.Ansible now has the ability to start OSD containers using `numactl` With this update, the `ceph-ansible` utility has the ability to start OSD containers using the `numactl` utility. `numactl` allows use of the `--preferred` option, which means the program can allocate memory outside of the NUMA socket and running out of memory causes less problems.
Clone Of:
Environment:
Last Closed: 2019-04-30 15:57:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ceph ceph-ansible pull 3701 None closed osd: support numactl options on OSD activate 2020-03-01 19:21:53 UTC
Github ceph ceph-ansible pull 3703 None closed Automatic backport of pull request #3701 2020-03-01 19:21:53 UTC
Red Hat Bugzilla 1687446 medium CLOSED Include numactl in overcloud image (so we may start ceph daemons with numactl) 2020-10-14 00:28:05 UTC
Red Hat Product Errata RHSA-2019:0911 None None None 2019-04-30 15:57:21 UTC

Comment 9 errata-xmlrpc 2019-04-30 15:57:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0911


Note You need to log in before you can comment on or make changes to this bug.